"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const deepmerge = require("deepmerge");
const userConfig = (() => {
    try {
        // tslint:disable-next-line:non-literal-require
        return require(`${process.cwd()}/phox.config.js`);
    }
    catch (e) {
        return {};
    }
})();
exports.defaultConfig = {
    contentDir: 'content',
    albumsDir: 'albums',
    outDir: 'out',
    port: 3000,
    hostname: 'localhost',
    server: 'server.js',
    imageOptimization: {
        progressive: true,
        quality: '65-80',
    },
};
exports.default = () => deepmerge(exports.defaultConfig, userConfig);
