"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const globby = require("globby");
const util_1 = require("../util");
const get_data_1 = require("../get-data");
exports.getFrontpageApiData = (config) => __awaiter(this, void 0, void 0, function* () {
    const albumList = yield globby(util_1.getGlobPatterns(config).albums);
    const albumData = yield Promise.all(albumList.map((albumPath) => __awaiter(this, void 0, void 0, function* () { return get_data_1.getPageContent(albumPath, `${config.albumsDir}/`); })));
    const albums = albumData.map(({ meta, name }) => ({
        linkProps: util_1.getAlbumLinkProps(config.albumsDir, name),
        meta: Object.assign({}, meta, { name }),
    }));
    const content = yield get_data_1.getPageContent(`${config.contentDir}/index.md`);
    return { albums, content };
});
exports.default = (config) => (_, res) => __awaiter(this, void 0, void 0, function* () {
    const data = yield exports.getFrontpageApiData(config);
    res.json(data);
});
